<?php

namespace Drupal\knowledge_report\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;

/**
 * Knowledge Fix It report controller.
 */
class FixItController extends ReportController implements ContainerInjectionInterface {

  /**
   * Page callback for the Fix It report.
   *
   * @return array
   *   A Render API array of content revisions.
   */
  public function content($user = NULL) {
    $settings = $this->config('knowledge.settings');

    $build = [];
    $charts = [
      'chart_extension_edits',
      'chart_products',
    ];
    if (count($settings->get('node_types')) > 1) {
      $charts[] = 'chart_content_type';
    }
    $charts[] = 'chart_audience';
    $build['knowledge_content_revision_edit_chart'] = [
      '#prefix'   => '<div class="charts">',
      '#view_id'      => 'knowledge_fix',
      '#view_display' => $charts,
      '#attributes'   => ['class' => []],
      '#suffix'   => '</div>',
    ];

    $build['knowledge_content_revision_table'] = [
      '#view_id'      => 'knowledge_fix',
      '#view_display' => $user ? 'embed_user' : 'embed_everyone',
      '#attributes'   => [
        'class' => [],
      ],
    ];

    return $this->renderBlocks($build, $user);
  }

}
