<?php

namespace Drupal\knowledge_report\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;

/**
 * The Quality Controller.
 */
class QualityController extends ReportController implements ContainerInjectionInterface {

  /**
   * Page callback for the Quality report.
   *
   * @return array
   *   A Render API array.
   */
  public function content($user = NULL) {

    $build = [];

    $build['knowledge_quality_chart'] = [
      '#prefix'   => '<div class="charts">',
      '#view_id'      => 'knowledge_quality',
      '#view_display' => [
        'chart_articles_scored',
      ],
      '#attributes'   => ['class' => []],
      '#suffix'   => '</div>',
    ];

    $build['knowledge_quality_table'] = [
      '#view_id'      => 'knowledge_quality',
      '#view_display' => $user ? 'embed_user' : 'embed_everyone',
      '#attributes'   => [
        'class' => [],
      ],
    ];

    return $this->renderBlocks($build, $user);
  }

}
