<?php

namespace Drupal\knowledge_report\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;

/**
 * Knowledge Use It report controller.
 */
class UseItController extends ReportController implements ContainerInjectionInterface {

  /**
   * Page callback for the Use It report.
   *
   * @return array
   *   A Render array of incidents.
   */
  public function content(int $user = NULL): array {
    $settings = $this->config('knowledge.settings');

    $build = [];
    $charts = [
      'chart_closed_monthly',
      'chart_product_group',
      'chart_product',
    ];
    if (count($settings->get('node_types')) > 1) {
      $charts[] = 'chart_content_type';
    }
    $charts[] = 'chart_type';
    $charts[] = 'chart_provider_group';
    $build['knowledge_content_revision_edit_chart'] = [
      '#prefix'   => '<div class="charts">',
      '#view_id'      => 'jsource_use_it',
      '#view_display' => $charts,
      '#attributes'   => ['class' => []],
      '#suffix'   => '</div>',
    ];

    $build['knowledge_content_revision_table'] = [
      '#view_id'      => 'jsource_use_it',
      '#view_display' => $user ? 'embed_user' : 'embed_everyone',
      '#attributes'   => [
        'class' => [],
      ],
    ];

    return $this->renderBlocks($build, $user);
  }

}
